wpa_supplicant, ndiswrapper, kernel 2.6.15.6

engage engage at n0sq.us
Sat Mar 18 20:36:21 EST 2006


I just built kernel 2.6.15.6 on an Athlon 64 system but I have a problem with 
wpa_supplicant running on this kernel. This is a Mandriva 2006 system. 
Anyway, ndiswrapper (1.9) loads ok and the driver and hardware show present. 
But, when I start wpa_supplicant (0.4.8), there's no association with the AP 
and there are no errors. But, I did notice the following from dmesg:

ndiswrapper: version magic '2.6.15.6 K8 gcc-4.0' should be '2.6.15.6 K7 
gcc-4.0'
ndiswrapper: version magic '2.6.15.6 K8 gcc-4.0' should be '2.6.15.6 K7 
gcc-4.0'
ndiswrapper: version magic '2.6.15.6 K8 gcc-4.0' should be '2.6.15.6 K7 
gcc-4.0'
ndiswrapper: version magic '2.6.15.6 K8 gcc-4.0' should be '2.6.15.6 K7 
gcc-4.0'
ndiswrapper version 1.9 loaded (preempt=no,smp=no)
ndiswrapper: driver bcmwl5 (Linksys,07/17/2003, 3.30.15.0) loaded
ndiswrapper: using irq 21
wlan0: ndiswrapper ethernet device 00:0f:66:6d:8d:c9 using driver bcmwl5, 
14E4:4320:1737:0014.5.conf

Everything works fine with kernel 2.6.12-17mdk except that wpa_supplicant 
doesn't seem to work from /etc/rc.local.




More information about the HostAP mailing list